OGGTRANSCODE(1)

NAME
oggTranscode - transcodes ogg files in multiple ways

SYNOPSIS
oggTranscode [options] inputfile.ogv outputfile.ogv

DESCRIPTION
oggTranscode can resize an ogg file (ogg, oga or ogv) in multiple ways: It can change the video frame size, change datarate for the video and/or audio streams contained in the ogg file and it can also change the video frame rate or audio sample rate. Additionally, since version 0.8 oggTranscode can add any ogg comment and png-pictures with an alpha channel can be rendered into the video at any time period before and after the resizing process. oggTranscode was previously called oggResize.

OPTIONS

-s  Sets the size of the video frame. The size is given as <width>x<height>. At default, the video frame size keeps the same. Example: -s 320x240

-d  Sets the datarate in byte per seconds for the video encoder (theora). This meant to be a upper threshold. So the file may be smaller than assumed. If not set, the datarate of the original stream is used. Example: -d 1024000

-D  Sets the datarate in byte per seconds for the audio encoder (vorbis). If not set, the datarate of the original stream is used. Example: -D 64000

-f  Sets the frame rate of the video with numinator and demoninator and is the pictures per second. If only one number is given, the denominator is set to 1. If not set, the framerate of the original video is used. Example: -f 25:2

-F  Sets the sample frequency (sample rate) of the audio data in Hertz. If the sample frequency does not match the one with the original file, resamling is invoked. Example: -F 32000

-c  Adds comments to the video (theora) stream. Comments are given by a pair of type and value in the form 'type=value'. More than one comment can be concatenated with a semicolon. It is recommended to use apostrophes as the command line may use the semicolon as a seperator. Example: -c 'AUTHOR=yorn;DATE=03.07.09'

-C  Adds comments to the audio (vorbis) stream. Comments are given by a pair of type and value in the form 'type=value'. More than one comment can be concatenated with a semicolon. It is recommended to use apostrophes as the command line may use the semicolon as a seperator. Example: -C 'AUTHOR=yorn;DATE=03.07.09'

-q  Specifies the quality for the resizing process. Values can be chosen between 1 (best quality, with slight bluring) and 6 (worst quality). The default value is 2. Example: -q1

-p  This option is meant to help creating a preview of a film. The number given with this option defines the number of frames, that are omitted. E.g. if a film has 24 frames per second and -p24 is given, the newly created video shows the video 24 times faster as only every 24th frame is used. This option can be combined with the option -f to control the framerate. With both options nice video previews can be created. If -p is used, the audio stream is ignored. Example: -p 24

-a  Adds a picture to the video frame before it is resized. The expression for the picture appearances: <picture1.png>[,<startTime>[,<endTime>[,s]]] default startTime is 0 default endTime is -1, which is the end of the stream duration default s ist not set. If s is set, the picture slides in smoothly. More than one picture can be included. To concatenate the expressions use the colon. If the appearance time overlap, the pictures are placed on one another, so the last picture is the uppest layer. Example: -a etwas.png,2,7,s:etwasneues.png,5,10

-A  Adds a picture to the video frame after it is resized. The syntax follows the same expression as with option -a.

EXAMPLE
oggTranscode -s320x240 -d512000 orig.ogv new.ogv Converts a the video orig.ogv to the video new.ogv with the new frame size 320x240. If there was an audio stream within the orig.ogv file, it is copied into the new file. oggTranscode -D64000 -F16000 -N1 orig.ogv new.ogv Converts only the audio stream of file orig.ogv to a sample rate of 16kHz, a datarate of 64 kBit/s and a mono channel. The video stream is copied as is. oggTranscode -s300x200 -D32000 -d1024000 -A etwas.png,2,7,s:etwasneues.png,5,10 orig.ogv new.ogv Converts the audio and video stream and adds the alpha channel picture etwas.png to the video from second 2 to second 7 with a smooth fade in and fade out. Additionally the alpha channel picture etwasneues.png is placed on top of the video frame from second 5 to second 10 without any fading.

AUTHOR
Joern Seger <yorn at gmx dot net>

SEE ALSO
oggCut(1), oggCat(1), oggJoin(1), oggSplit(1), oggSlideshow(1), oggThumb(1), oggSilence(1)